window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"2819","username":"burnchar","comment":"<p>You can combine this with row selection (for Editor, etc.) by using <code>select.selector()<\/code><\/p>\n\n<pre><code class=\"multiline language-js\">    $('#yourTableId').DataTable({\n        select: {\n            selector:'td:not(:first-child)',\n            style:    'os'\n        }\n    });\n<\/code><\/pre>\n\n<p>Don't forget to add an empty <code>th<\/code> element to your table header and footer. This is easy to miss and leads to abstruse JavaScript error messages.<\/p>\n","created":"09:42, Fri 4th Aug 2017","parent":null,"version":"1.10.15","children":[]},{"id":"2821","username":"bindrid","comment":"<p>I created one that uses Font Awesome icons instead of a png images.<\/p>\n\n<p>Also, it lets you use the select extension without selecting a row when you click on the expander icon<\/p>\n\n<p><a rel=\"nofollow\" href=\"http:\/\/live.datatables.net\/bihawepu\/1\/edit\">http:\/\/live.datatables.net\/bihawepu\/1\/edit<\/a><\/p>\n","created":"08:31, Sat 5th Aug 2017","parent":null,"version":"1.10.15","children":[]},{"id":"3280","username":"ZerospaceNL","comment":"<p>In addition to @burnchar his\/her comment, Font Awesome in it's current version 5 is replacing <code>&lt;I&gt;<\/code> with <code>&lt;svg&gt;<\/code> after rendering, I would suggest the following code for toggle the icon:<\/p>\n\n<pre><code class=\"multiline language-js\">$(document).ready( function () {\n  $(this)\n    .find('[data-fa-i2svg]')\n    .toggleClass('fa-minus-square')\n    .toggleClass('fa-plus-square');\n} );\n<\/code><\/pre>\n","created":"14:52, Fri 30th Mar 2018","parent":null,"version":"1.10.16","children":[]},{"id":"3395","username":"vpenachi","comment":"<p>For FontAwesome 5 the example given here could be modified to be:<\/p>\n\n<pre><code class=\"multiline language-js\">    $('#example tbody').on('click', 'td.details-control', function () {\n        var tr = $(this).closest('tr');\n        var row = table.row( tr );\n \n        if ( row.child.isShown() ) {\n            \/\/ This row is already open - close it\n            row.child.hide();\n            tr.find('svg').attr('data-icon', 'plus-circle');    \/\/ FontAwesome 5\n        }\n        else {\n            \/\/ Open this row\n            row.child( format(row.data()) ).show();\n          tr.find('svg').attr('data-icon', 'minus-circle'); \/\/ FontAwesome 5\n        }\n    } );\n} );\n<\/code><\/pre>\n","created":"12:42, Mon 28th May 2018","parent":null,"version":"1.10.16","children":[]},{"id":"3872","username":"stol","comment":"<p>To use this example without Ajax data, <a href=\"https:\/\/stackoverflow.com\/questions\/23566754\/datatables-expand-child-details-without-using-ajax\">see this example<\/a>.<\/p>\n\n<p>To summarize:<\/p>\n\n<p>You can store the data for the child row in a data attribute of the parent row and change the format method from the example accordingly. Something like<\/p>\n\n<p>In your HTML:<\/p>\n\n<pre><code class=\"multiline language-html\">&lt;tr data-child-name=\"test1\" data-child-value=\"10\"&gt;\n    &lt;td&gt;ParentRow&lt;\/td&gt;\n    &lt;td&gt;No. 1&lt;\/td&gt;\n&lt;\/tr&gt;\n<\/code><\/pre>\n\n<p>In the click handler (line 50 from the example):<\/p>\n\n<pre><code class=\"multiline language-js\">row.child(format(tr.data('child-name'), tr.data('child-value'))).show();\n<\/code><\/pre>\n\n<p>And as format method something like:<\/p>\n\n<pre><code class=\"multiline language-js\">function format (name, value) {\n    return '&lt;div&gt;Name: ' + name + '&lt;br \/&gt;Value: ' + value + '&lt;\/div&gt;';\n}\n<\/code><\/pre>\n","created":"17:36, Mon 25th Feb 2019","parent":null,"version":"1.10.19","children":[]}] );
} );window._site.page = "examples\/api\/row_details.html";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = 'e894cb72132e1d05376d24b106fd89cf04add063343f0c11';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


